#ifndef __VOICE_MGR_H__
#define __VOICE_MGR_H__

#include "speechy.h"

#define PHON_NAME_MAX	5

typedef struct
{
	SAMPLE *sample;
	char name[PHON_NAME_MAX];
}PHON_DEF;

typedef struct
{
	unsigned int phon_count;
	int freq;
	SPEECHY_VOICE *voice;
	PHON_DEF *phon_list;
}VOICE_MGR;

VOICE_MGR *voice_load(char *filename);
void voice_unload(VOICE_MGR *voice);
int voice_parse(VOICE_MGR *voice_mgr, char *str, short *buf, 
	unsigned int size);



#endif